Subject: Re: bug#71495: Add command line flag to add to load path without evaluation

From: Richard Sent <[email-masked]>
Date: Wed, 03 Jul 2024 23:20:30 -0400

Richard Sent <[email-masked]> writes:

> At present one can set GUILE_LOAD_PATH manually to work around this
> issue. In my opinion this isn't very discoverable. Furthermore, it can't
> _cleanly_ handle cases when GUILE_LOAD_PATH is already set or needs
> multiple entries. It also makes certain commands with bash builtins
> (like time...) awkward since you have to enter a subshell.

I noticed that when using ./pre-inst-env, augmenting GUILE_LOAD_PATH
manually isn't trivial. I'm not quite sure how to describe the failures,
but they seem manifold.

-- 
Take it easy,
Richard Sent
Making my computer weirder one commit at a time.